import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css';
import { hasBtnPermission } from './utils/permission';
import { Modal } from 'ant-design-vue';
import './assets/ttf/font.css';
import echart from 'echarts';

Vue.config.productionTip = false
Vue.use(ElementUI);
Vue.use(Modal);
Vue.prototype.hasPerm = hasBtnPermission
Vue.prototype.$echarts = echart

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
